Rasters (base API)
Date: 2019-04-05

com.twosigma.beakerx.chart.xychart.plotitem

## Class Rasters

- java.lang.Object
- - com.twosigma.beakerx.chart.Graphics
  - - com.twosigma.beakerx.chart.xychart.plotitem.XYGraphics
    - - com.twosigma.beakerx.chart.xychart.plotitem.Rasters

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable

      public class Rasters
      extends XYGraphics

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Rasters()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getDataString()`
    `java.lang.String` | `getFilePath()`
    `java.lang.String` | `getFileUrl()`
    `java.util.List<java.lang.Number>` | `getHeight()`
    `java.util.List<java.lang.Number>` | `getOpacity()`
    `java.lang.String` | `getPosition()`
    `protected java.util.EnumSet<Filter>` | `getPossibleFilters()`
    `java.util.List<java.lang.Number>` | `getWidth()`
    `void` | `setDataString(byte[] dataString)`
    `void` | `setFilePath(java.lang.String filePath)`
    `void` | `setFileUrl(java.lang.String fileUrl)`
    `void` | `setHeight(java.util.List<java.lang.Number> height)`
    `void` | `setOpacity(java.util.List<java.lang.Number> opacity)`
    `void` | `setPosition(java.lang.String position)`
    `void` | `setWidth(java.util.List<java.lang.Number> width)`

    - ### Methods inherited from class com.twosigma.beakerx.chart.xychart.plotitem.XYGraphics

      `getBase, getBases, getColor, getColors, getDisplayName, getLodFilter, getPlotType, getToolTips, getX, getY, setBase, setColor, setColor, setColor, setColori, setDisplayName, setLodFilter, setPlotType, setToolTip, setToolTip, setX, setY`

    - ### Methods inherited from class com.twosigma.beakerx.chart.Graphics

      `clone, fireClick, fireOnKey, getClickTag, getKeys, getKeyTags, getUid, getVisible, getyAxis, getYAxis, hasClickAction, onClick, onClick, onKey, onKey, onKey, onKey, setVisible, setyAxis, setYAxis`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Rasters

          public Rasters()

  - ### Method Detail

    - #### getOpacity

          public java.util.List<java.lang.Number> getOpacity()

    - #### setOpacity

          public void setOpacity(java.util.List<java.lang.Number> opacity)

    - #### getWidth

          public java.util.List<java.lang.Number> getWidth()

    - #### setWidth

          public void setWidth(java.util.List<java.lang.Number> width)

    - #### getHeight

          public java.util.List<java.lang.Number> getHeight()

    - #### setHeight

          public void setHeight(java.util.List<java.lang.Number> height)

    - #### getFilePath

          public java.lang.String getFilePath()

    - #### setFilePath

          public void setFilePath(java.lang.String filePath)

    - #### getFileUrl

          public java.lang.String getFileUrl()

    - #### setFileUrl

          public void setFileUrl(java.lang.String fileUrl)

    - #### getPosition

          public java.lang.String getPosition()

    - #### setPosition

          public void setPosition(java.lang.String position)

    - #### getDataString

          public byte[] getDataString()

    - #### setDataString

          public void setDataString(byte[] dataString)

    - #### getPossibleFilters

          protected java.util.EnumSet<Filter> getPossibleFilters()

      Specified by:
        `getPossibleFilters` in class `XYGraphics`